//
//  MixerAVListener.h
//  nice2meet
//
//  Created by Netease on 15/7/31.
//  Copyright (c) 2015年 Netease. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol VideoStatusDelegate <NSObject>
- (void)onVideo:(NSString*)videoId subscribed:(BOOL)subed;

@end

@interface AVExportMixer : NSObject<VideoStatusDelegate>
- (BOOL)listenData;
- (void)stopExport;
- (BOOL)hasOverlaySpace;
- (BOOL)startWithMainVideoId:(NSString*)vid;

@end
