//
//  ChatContentCell.h
//  Created by Netease on 15/7/31.
//  Copyright (c) 2015年 Netease. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface ChatContentCell : UITableViewCell
@property(nonatomic,retain)UILabel *userName;
@property(nonatomic,retain)UILabel *message;
@property(nonatomic,assign)CGFloat availableWidth;

- (CGSize)getMessageSize:(NSString *)message;
- (CGSize)getCellSize:(NSString *)message;

- (void)showChatWithName:(NSString *)name
                  userId:(NSString *)userId
                 message:(NSString *)message isMe:(BOOL)isMe;

@end
