//
//  T3RoomToolbar.h
//  nice2meet
//
//  Created by skin on 16/3/30.
//  Copyright © 2016年 Netease. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol T3RoomToolbarDelegate <NSObject>
- (BOOL)onLeaveRoom;
- (BOOL)onOpenCloseMicrophone;
- (BOOL)onOpenCloseLocacamera;
- (BOOL)onShowHideChats;
- (BOOL)onShowHideUsers;

@end

@interface T3RoomToolbar : UIView
@property (nonatomic,weak) id <T3RoomToolbarDelegate> delegate;
@property (nonatomic,assign) BOOL landscape;
- (IBAction)btnOnVideo:(id)sender;
- (IBAction)btnOnMicrophone:(id)sender;

@end
