//
//  VideosScrollView.h
//  nice2meet
//
//  Created by Netease on 15/8/18.
//  Copyright (c) 2015年 Netease. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <avd_sdk/avd_sdk.h>
#import "VideoViewCell.h"

#define KVideoCellWidth                 120.0f
#define KVideoCellHeight                150.0f
#define KVideoCellPadding               8.0f

@interface VideosScrollView : UIScrollView

@property (nonatomic,retain) NSMutableArray *videoIds;
@property (nonatomic,assign) NSUInteger videoMax;
@property (nonatomic,assign) NSUInteger cellWidth;
- (void)setDelegate4Cell:(id<VideoViewCellDelegate>)delegate;
- (BOOL)hasVideos;
- (BOOL)hasFreeRender;
- (NSUInteger)getVideoNum;
- (VideoViewCell *)getFreeRenderForVideoId:(AVDDeviceId)videoId;
- (VideoViewCell *)getRenderByVideoId:(AVDDeviceId)videoId;
- (void)removeCell:(VideoViewCell *)cell;

@end
