//
//  VideosView.h
//  nice2meet
//
//  Created by Netease on 15/7/31.
//  Copyright (c) 2015年 Netease. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AVExportMixer.h"

@protocol VideosViewGesture <NSObject>
- (void)onVideosViewTapped;

@end

@interface VideosView : UIView
@property (nonatomic,weak) id <VideosViewGesture> delegate;
- (void)setBackground:(NSString*)imagename;
- (BOOL)openCloseLocacamera;
- (void)stopLiveRecord;
// modified for qiniu data callback
@property (nonatomic,weak) id <VideoStatusDelegate> videostatusdelegate;

@end
