//
//  WaitingView.h
//  nice2meet
//
//  Created by Netease on 15/8/12.
//  Copyright (c) 2015年 Netease. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol WaitingViewDelegate<NSObject>
- (void)onCloseWaitingView;

@end

@interface WaitingView : UIView
@property(nonatomic,weak)IBOutlet UIActivityIndicatorView *indicatorView;
@property(nonatomic,weak)IBOutlet UIButton *deleteButton;
@property(nonatomic,weak)id<WaitingViewDelegate>delegate;

- (IBAction)closeWaitingView:(id)sender;
- (void)startWaiting;
- (void)stopWaiting;

@end
