//
//  WaitingView.m
//  nice2meet
//
//  Created by Netease on 15/8/12.
//  Copyright (c) 2015年 Netease. All rights reserved.
//

#import "WaitingView.h"

@implementation WaitingView
- (id)initWithCoder:(NSCoder *)coder
{
    self = [super initWithCoder:coder];
    if (self) {
        
    }
    return self;
}

- (IBAction)closeWaitingView:(id)sender{
    [self stopWaiting];
    
    if (self.delegate && [self.delegate respondsToSelector:@selector(onCloseWaitingView)]) {
        [self.delegate onCloseWaitingView];
    }
}

- (void)startWaiting{
    [self setHidden:NO];
    [self.indicatorView startAnimating];
    
}

- (void)stopWaiting{
    [self setHidden:YES];
    [self.indicatorView stopAnimating];
}

- (void)dealloc{
    self.delegate = nil;
}
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
